build: accept both python 3 and python 2
authorAlexey Sheplyakov <asheplyakov@altlinux.org>
Sun, 23 Aug 2020 07:28:07 +0000 (11:28 +0400)
committerAlexey Sheplyakov <asheplyakov@altlinux.org>
Mon, 24 Aug 2020 12:37:35 +0000 (16:37 +0400)
commit8a4e28dc8121e50d987e888f9688412e1d3ee663
tree76370ae3ca438dceedaa0d8288fb862c50085aa5
parent67111f007a38497508b72603408b8f59a8e110a5
build: accept both python 3 and python 2

This makes building GiNaC a bit easier for users of "old" distributions
where python 3 is not installed by default (Ubuntu 16.04), or even not
available (CentOS 7).

Scripts themselves work just fine with python 2.7 and python 3.x, so
only minor changes to CMakeLists.txt are required (autotools scripts
already handle python2/3)
CMakeLists.txt
INSTALL
doc/CMakeLists.txt
ginac/CMakeLists.txt
ginac/function.py [changed mode: 0755->0644]
ginsh/CMakeLists.txt
ginsh/ginsh_fcn_help.py [changed mode: 0755->0644]
ginsh/ginsh_op_help.py
scripts/fixupind.py [changed mode: 0755->0644]
scripts/yaptu.py